curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "user_id": "user-uuid-2", "role": "editor" }'
{
"success": true,
"data": {
"id": "member-uuid-2",
"user_id": "user-uuid-2",
"role": "editor"
}
}
Members
Add Calendar Member
Grant a user access to a calendar
POST
/
api
/
v1
/
calendars
/
{calendar_id}
/
members
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "user_id": "user-uuid-2", "role": "editor" }'
{
"success": true,
"data": {
"id": "member-uuid-2",
"user_id": "user-uuid-2",
"role": "editor"
}
}
Add Calendar Member
Grant a user access to a calendar with a specific role.Endpoint
POST /api/v1/calendars/{calendar_id}/members
Path parameters
string
required
Calendar UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be
application/json.Request body
string
required
UUID of the user to add.
string
required
Member role. Options:
owner, editor, viewer.Examples
curl -X POST "https://app.talkover.ai/api/v1/calendars/calendar-uuid-1/members" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{ "user_id": "user-uuid-2", "role": "editor" }'
Response
{
"success": true,
"data": {
"id": "member-uuid-2",
"user_id": "user-uuid-2",
"role": "editor"
}
}
Was this page helpful?